/**
 * TestSuite.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.security.test.suite;

import org.junit.runner.JUnitCore;
import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.smartmatic.waffle.security.sign.SignDetachedGeneratorTest;
import com.smartmatic.waffle.security.sign.SignGeneratorTest;
import com.smartmatic.waffle.security.sign.SignValidatorTest;
import com.smartmatic.waffle.security.sign.SignXMLUtilTest;

/**
 * The class <code>TestSuite</code> builds a suite that can be used to run all
 * of the tests within its package as well as within any sub packages of its
 * package.
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({ SignXMLUtilTest.class, SignGeneratorTest.class,
		SignValidatorTest.class, SignDetachedGeneratorTest.class })
public class TestSuite {

	/**
	 * Launch the test.
	 * 
	 * @param args
	 *            the command line arguments
	 */
	public static void main(String[] args) {
		JUnitCore.runClasses(new Class[] { TestSuite.class });
	}

}
