package com.smartmatic.waffle.security.dto;

/**
 * Class used to transfer information needed on cipher options.
 */
public class CipherDTO {

	/**
	 * The initialization vector.
	 */
	private byte[] iVector;

	/**
	 * The ciphered data.
	 */
	private byte[] cipheredData;

	/**
	 * Getter of <code>iVector</code> property.
	 * 
	 * @return <code>iVector</code> property value.
	 */
	public byte[] getiVector() {
		return this.iVector;
	}

	/**
	 * Setter of <code>iVector</code> property.
	 * 
	 * @param iVector
	 *            The <code>iVector</code> to set.
	 */
	public void setiVector(byte[] iVector) {
		this.iVector = iVector;
	}

	/**
	 * Getter of <code>cipheredData</code> property.
	 * 
	 * @return <code>cipheredData</code> property value.
	 */
	public byte[] getCipheredData() {
		return this.cipheredData;
	}

	/**
	 * Setter of <code>cipheredData</code> property.
	 * 
	 * @param cipheredData
	 *            The <code>cipheredData</code> to set.
	 */
	public void setCipheredData(byte[] cipheredData) {
		this.cipheredData = cipheredData;
	}

}
